Bug 1564919 - Restraint rpm specfile sets attributes on symlinks
Summary: Restraint rpm specfile sets attributes on symlinks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Restraint
Classification: Retired
Component: general
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 0.1.35
Assignee: Matt Tyson 🤬
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 22:55 UTC by Matt Tyson 🤬
Modified: 2018-06-24 23:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-24 23:49:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Beaker Project Gerrit 6060 0 None MERGED Restraint rpm specfile sets attributes on symlinks 2020-09-08 12:58:49 UTC

Description Matt Tyson 🤬 2018-04-08 22:55:37 UTC
Sufficiently new versions of rpmbuild generate the following warnings when building an RPM for restraint

warning: Explicit %attr() mode not applicable to symlink: bin/rhts_sync_set
warning: Explicit %attr() mode not applicable to symlink: bin/rhts_sync_block
warning: Explicit %attr() mode not applicable to symlink: bin/rhts_environment.sh
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-reboot
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-submit-log
warning: Explicit %attr() mode not applicable to symlink: bin/rhts_submit_log
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-backup
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-restore
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-recipe-sync-set
warning: Explicit %attr() mode not applicable to symlink: bin/rhts_recipe_sync_set
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-recipe-sync-block
warning: Explicit %attr() mode not applicable to symlink: bin/rhts_recipe_sync_block
warning: Explicit %attr() mode not applicable to symlink: bin/rhts-abort



The %attr() tags need to be taken off the symlink files in the restraint specfile.


Note You need to log in before you can comment on or make changes to this bug.